
ChiliProject - Bug # 390: mysql2 incompatibility in WikiPage model

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Wikis
Created: 2011-05-10 Assignee: Eric Davis
Updated: 2011-05-13 Due date:
Remote issue URL:
Affected version: unstable
Description: Introduced with commit:fec6eb782c01aa018813, there is an incompatibility with the mysql2 database 

adapter. One main feature of mysql2, besides being actively maintained, is that it is _eagerly_ casting 
database values to matching ruby types.

In this case in 
"app/models/wiki_page.rb:134":https://github.com/chiliproject/chiliproject/commit/fec6eb782c01aa0188131b01
e3140e383f7d6241#L2R134 CP tries to convert a value retrieved from the database into a date. This works 
fine for most adapters. But in mysql2 this value is already a @Time@. Ergo passing it to @Time.parse@ 
results in an error. Consequently, the rescue block is triggered and nil is assigned.

This misbehavior results in failing tests in @test/unit/wiki_page_test.rb@ and 
@test/functional/wiki_controller_test.rb@.

Associated revisions
2011-05-11 12:19 am - Gregor Schmidt 
[#390] check to handle mysql2's early type casting

History
2011-05-10 10:21 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/50

2011-05-13 03:23 pm - Eric Davis
The patch looks fine but I can't reproduce the failure on mysql2 0.2.6 or 0.3.2. Can someone else reproduce it and confirm the fix?

2011-05-13 04:38 pm - Eric Davis
- Assignee set to Eric Davis

- Category set to Wikis

- Status changed from Ready for review to Closed

Sorry, my database.yml was messed up and I was still loading postgres. Reproduced and confirmed the fix. Thank you for the patch/pull request.

commit:bf90848
